%global packname plogr
%global packver 0.2.0

Name:             R-%{packname}
Version:          %{packver}
Release:          1
Source0:          ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{packver}.tar.gz
License:          MIT
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Summary:          C++ Logging Library for R
BuildRequires:    R-devel >= 3.0.0, tetex-latex, R-Rcpp-devel
BuildArch:        noarch

%description
A simple header-only logging library for C++. Add 'LinkingTo: plogr' to
'DESCRIPTION', and '#include <plogr.h>' in your C++ modules to use it.

%package devel
Requires:       %{name} = %{version}-%{release}
Summary:        Devel files for R-plogr

%description devel
Development files for R-plogr.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_datadir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_datadir}/R/library/R.css

%check
%{_bindir}/R CMD check %{packname}

%files
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/html
%license %{_datadir}/R/library/%{packname}/LICENSE
%{_datadir}/R/library/%{packname}/DESCRIPTION
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/NEWS.md
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/R

%files devel
%{_datadir}/R/library/%{packname}/include

%changelog
* Thu Jun 16 2022 misaka00251 <misaka00251@misakanet.cn> - 0.2.0-1
- Init package (Thanks to fedora team)
